Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.modules.transpath.type
Class Molecule

    java.lang.Object
      |
      +--com.beanexplorer.swing.table.Option
            |
            +--ru.biosoft.access.MutableDataElementSupport
                  |
                  +--biouml.standard.type.BaseSupport
                        |
                        +--biouml.standard.type.GenericEntity
                              |
                              +--biouml.standard.type.Referrer
                                    |
                                    +--biouml.standard.type.Molecule
                                          |
                                          +--biouml.modules.transpath.type.Molecule

public class Molecule
extends Molecule

Stub

Constructor Summary
`Molecule(DataCollection origin, String name)`

Method Summary
`String` | `getCatalyzedReactions()`
`String` | `getDownstreamReactions()`
`String` | `getInhibitedReactions()`
`String` | `getMoleculeType()`
`String` | `getType()` pending high resolve type
`String` | `getUpstreamReactions()`
`void` | `setCatalyzedReactions(String catalyzedReactions)`
`void` | `setDownstreamReactions(String downstreamReactions)`
`void` | `setInhibitedReactions(String inhibitedReactions)`
`void` | `setMoleculeType(String moleculeType)`
`void` | `setUpstreamReactions(String upstreamReactions)`

Methods inherited from class biouml.standard.type.Molecule
`getCompleteName, getShortName, getSynonims, getTitle, setCompleteName, setShortName, setSynonims`

Methods inherited from class biouml.standard.type.Referrer
`getDatabaseReferences, getLiteratureReferences, setDatabaseReferences, setLiteratureReferences`

Methods inherited from class biouml.standard.type.GenericEntity
`getComment, getDate, setComment, setDate`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.swing.table.Option
`setParent, getParent, addPropertyChangeListener, removePropertyChangeListener, copyListenersTo`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Molecule

    public Molecule(DataCollection origin, String name)

Method Detail

### getCatalyzedReactions

    public String getCatalyzedReactions()

### getDownstreamReactions

    public String getDownstreamReactions()

### getInhibitedReactions

    public String getInhibitedReactions()

### getMoleculeType

    public String getMoleculeType()

### getType

    public String getType()

  pending high resolve type

### getUpstreamReactions

    public String getUpstreamReactions()

### setCatalyzedReactions

    public void setCatalyzedReactions(String catalyzedReactions)

### setDownstreamReactions

    public void setDownstreamReactions(String downstreamReactions)

### setInhibitedReactions

    public void setInhibitedReactions(String inhibitedReactions)

### setMoleculeType

    public void setMoleculeType(String moleculeType)

### setUpstreamReactions

    public void setUpstreamReactions(String upstreamReactions)

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM